# OverlayBase

OverlayBase : `Instance`

## Overview

This abstract class defines the Outline and Fill functions of a Part.

## Properties

### Adornee

`Instance`

Defines the target object to use for rendering.

#### Code Samples

```lua
local Outline = script.Parent

local Workspace = game:GetService("Workspace")
local Part = Workspace:WaitForChild("Part")

Outline.Adornee = Part
```

### Enabled

`boolean`

Sets whether to display.

#### Code Samples

```lua
local Outline = script.Parent

Outline.Enabled = false
```

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/classes/overlaybase.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
